require( "scripts/style.lua" );

MakeDialog
{
	FaderWindow
	{   
		wait=0,
		duration=100,
		fit = true,
		Bitmap
		{
			image = "backgrounds/popup_bg",
			x=311,
			y=230,
			fit=true,
			name="ingamemenu",
			SetStyle( MenuButtonStyle ),
			Button
			{
				name = "ingamemenuresume",
				x=kCenter+1,
				y=69,
				close = true;
				graphics = MediumButton2Graphics,
				MenuButtonLabel(0, 0, 152, 34, "resumegame", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),				
				command = gDialogTable.action;
					--function()
					
						--ResumeGame();
					--end
			},
			
			Button
			{
				name = "ingamemenuoptions",
				x=kCenter+2,
				y=113,
				graphics = MediumButton2Graphics,
				MenuButtonLabel(0, 0, 152, 34, "options2", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),				
				command=
					function()
						DisplayDialog{"scripts/customoptions.lua"};
					end
			},
			Button
			{
				name = "ingamemenuhelp",
				x=kCenter+2,
				y=157,
				graphics = MediumButton2Graphics,
				MenuButtonLabel(0, 0, 152, 34, "help", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),				
				command=
					function()
						DisplayDialog{"scripts/help.lua"};
					end
			},
			
			Button
			{
				name = "ingamemenuquit",
				x=kCenter+3,
				y=201,
				graphics = MediumButton2Graphics,
				MenuButtonLabel(0, 0, 152, 34, "returntomainmenu", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),				
				command=
					function()
						--PopModal("GameScreen");
						--SwapToModal("scripts/mainmenu.lua");
						DisplayDialog{"scripts/yesno.lua", title = "returntomainmenu", body = "mainmenuconfirm", yes = QuitToMainMenu};
						--QuitToMainMenu();
					end
			},		
		},	
	},

} -- MakeDialog
